#ifndef _MMALLOC_H
#define _MMALLOC_H
/* Headers for mmalloc.c */
extern void stack_dumpstats(void);
extern void *stackmalloc(size_t size);
extern void *stackcalloc(size_t nmemb, size_t size);
extern void stackfree(void *ptr);
extern void *stackrealloc(void *ptr, size_t size);
extern void *stackmark(void);
extern void stackrelease(void *where);
extern char *tempheapmalloc(int size);
extern char *tempheapcopyof(char *text);
extern char *tempheapjoin(char *st1, char *st2);
extern char *tempheapcopy(char *st);
extern void tempheapfree(char *s);
/* End of headers for mmalloc.c */

#endif /* _MMALLOC_H */
